Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKRefContext Class Reference

`#include <IWORKRefContext.h>`

Inheritance diagram for libetonyek::IWORKRefContext:

## Public Member Functions
| IWORKRefContext (IWORKXMLParserState &state, boost::optional< ID_t > &ref)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | endOfElement () override

## Private Attributes
boost::optional< ID_t > & | m_ref

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKRefContext()

libetonyek::IWORKRefContext::IWORKRefContext | ( | IWORKXMLParserState & | state,
|  | boost::optional< ID_t > & | ref
| ) |  |

## Member Function Documentation

## ◆ endOfElement()

void libetonyek::IWORKRefContext::endOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_ref

boost::optional<ID_t>& libetonyek::IWORKRefContext::m_ref
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKRefContext.h
- IWORKRefContext.cpp